Skip to main content
`Ctrl`+`K`

# DMSwarmSortRestoreAccess

Invalidates the `DMSWARM` point sorting context previously computed with `DMSwarmSortGetAccess()`

## Synopsis

    #include "petscdmda.h"
    #include "petscdmplex.h"
    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSortRestoreAccess(DM sw)

Not Collective

## Input Parameter

- sw - a `DMSWARM` object

## Note

You must call `DMSwarmSortGetAccess()` before calling `DMSwarmSortRestoreAccess()`

## See Also

`DMSWARM`, `DMSwarmSetType()`, `DMSwarmSortGetAccess()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic_sort.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex20.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages